### Hierarchy

- unknown
  - PrivateNotificationMessage

## Index

### Constructors

- constructor

### Methods

- clearPrivateNotificationPayload
- clearSenderNodeAddress
- getPrivateNotificationPayload
- getSenderNodeAddress
- getUid
- hasPrivateNotificationPayload
- hasSenderNodeAddress
- serializeBinary
- setPrivateNotificationPayload
- setSenderNodeAddress
- setUid
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new PrivateNotificationMessage(): PrivateNotificationMessage

- Inherited from jspb.Message.constructor

  #### Returns PrivateNotificationMessage

## Methods

### clearPrivateNotificationPayload

- clearPrivateNotificationPayload(): PrivateNotificationMessage

- - Defined in src/protobuf/pb_pb.d.ts:2267

  #### Returns PrivateNotificationMessage

### clearSenderNodeAddress

- clearSenderNodeAddress(): PrivateNotificationMessage

- - Defined in src/protobuf/pb_pb.d.ts:2262

  #### Returns PrivateNotificationMessage

### getPrivateNotificationPayload

- getPrivateNotificationPayload(): undefined | PrivateNotificationPayload

- - Defined in src/protobuf/pb_pb.d.ts:2264

  #### Returns undefined | PrivateNotificationPayload

### getSenderNodeAddress

- getSenderNodeAddress(): undefined | NodeAddress

- - Defined in src/protobuf/pb_pb.d.ts:2259

  #### Returns undefined | NodeAddress

### getUid

- getUid(): string

- - Defined in src/protobuf/pb_pb.d.ts:2256

  #### Returns string

### hasPrivateNotificationPayload

- hasPrivateNotificationPayload(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:2266

  #### Returns boolean

### hasSenderNodeAddress

- hasSenderNodeAddress(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:2261

  #### Returns boolean

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:2269

  #### Returns Uint8Array

### setPrivateNotificationPayload

- setPrivateNotificationPayload(value?: PrivateNotificationPayload ): PrivateNotificationMessage

- - Defined in src/protobuf/pb_pb.d.ts:2265

  #### Parameters

  - ##### Optional value: PrivateNotificationPayload

  #### Returns PrivateNotificationMessage

### setSenderNodeAddress

- setSenderNodeAddress(value?: NodeAddress ): PrivateNotificationMessage

- - Defined in src/protobuf/pb_pb.d.ts:2260

  #### Parameters

  - ##### Optional value: NodeAddress

  #### Returns PrivateNotificationMessage

### setUid

- setUid(value: string): PrivateNotificationMessage

- - Defined in src/protobuf/pb_pb.d.ts:2257

  #### Parameters

  - ##### value: string

  #### Returns PrivateNotificationMessage

### toObject

- toObject(includeInstance?: boolean): PrivateNotificationMessage . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:2270

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns PrivateNotificationMessage . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): PrivateNotificationMessage

- - Defined in src/protobuf/pb_pb.d.ts:2273

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns PrivateNotificationMessage

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: PrivateNotificationMessage, reader: BinaryReader): PrivateNotificationMessage

- - Defined in src/protobuf/pb_pb.d.ts:2274

  #### Parameters

  - ##### message: PrivateNotificationMessage

  - ##### reader: BinaryReader

  #### Returns PrivateNotificationMessage

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: PrivateNotificationMessage, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:2272

  #### Parameters

  - ##### message: PrivateNotificationMessage

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: PrivateNotificationMessage ): PrivateNotificationMessage . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:2271

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: PrivateNotificationMessage

  #### Returns PrivateNotificationMessage . AsObject

Generated using TypeDoc